// Fonts
@import url('https://fonts.googleapis.com/css?family=Nunito');

@import '~@mdi/font/css/materialdesignicons.min.css';

// Variables
@import 'variables';

@import '~vuetify/dist/vuetify.min.css';

@import 'editor';

.slider.v-input__slider {
    padding-top: 28px;
}
.filter-items {
    .v-input--selection-controls {
        margin-top: 0 !important;
    }
}
.address {
    line-height: 1.5em !important;
}
.subtitle {
    padding-top: 10px !important;

    &.v-card__text {
        line-height: 1.375rem;
    }
}
.default--text.v-list-item:not(.v-list-item--active):not(.v-list-item--disabled) .list--text {
    color: rgb(0, 0, 0, 0.7) !important;
}

.medium.v-icon {
    font-size: 24px !important;
}

.primary--color {
    color: var(--v-primary-base);
}

.field-label {
    margin-bottom: 0.5em;
    font-weight: bold;
    color: #525f7f;
}

.order-items {
    font-family: "Trebuchet MS", Arial, Helvetica, sans-serif;
    border-collapse: collapse;
    width: 100%;
}

.order-items td, .order-items th {
    border: 1px solid #ddd;
    padding: 8px;
    font-family: Roboto, sans-serif;
}

.order-items th {
    font-size: 12px;
    color: rgba(0,0,0,.6)
}

.order-items td {
    font-size: 14px;
}

.order-items tr:nth-child(even) {
    background-color: #f2f2f2;
}

.order-items tr:hover {
    background-color: #ddd;
}

.breadcrumbs {
    width: fit-content;
}

.status {
    width: 146px;
    display: flex;
    justify-content: center;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;

    &--pending, &--delivered, &--approved, &--shipping, &--partial_returned {
        background-color: var(--v-primary-base) !important;
    }
    &--failed, &--cancelled, &--rejected {
        background-color: var(--v-error-base) !important;
    }
    &--completed, &--paid {
        background-color: var(--v-success-base) !important;
    }
}
